Export chart in async mode

POST
https://api.datawrapper.de/v3/charts/{id}/export/{format}/async

Export your chart as image or document for use in print or presentations. Returns the URL to query the async export status. Not all formats might be available to you, based on your account. Requires scope chart:read.

Example Request

curl --request POST \
  --url https://api.datawrapper.de/v3/charts/example-id/export/png/async \
  --header 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  --header 'Content-Type: application/json' \
  --data '{
  "unit": "px",
  "mode": "rgb",
  "plain": false,
  "zoom": 2,
  "fullVector": false,
  "ligatures": true,
  "transparent": false,
  "logo": "auto",
  "dark": false
}'

Headers

NameValueRequiredDescription
Content-Typeapplication/jsonYesThe format of the request body.

Path Parameters

NameTypeAllowed valuesRequiredDescription
idstring
5 characters
Yes5 character long chart ID.
formatstringpng, svgor pdf YesExport format

Request Body

FieldTypeAllowed valuesRequiredDescription
unitstringin, mmor px
Default: px
No
modestringrgbor cmyk
Default: rgb
No
widthnumber
1 or more
No
heightnumbernumberor auto
1 or more
No
plainboolean
Default: false
No
scalenumber No
zoomnumber
Default: 2
No
borderobject No
border.widthnumber No
border.colorstring
Default: auto
No
fullVectorboolean
Default: false
No
ligaturesboolean
Default: true
No
transparentboolean
Default: false
No
logostringauto, onor off
Default: auto
No
logoIdstring No
darkboolean
Default: false
No